Bug 1003098 - org.hibernate.StaleObjectStateException: Row was updated or deleted by another transaction when running many human task process using kie api
org.hibernate.StaleObjectStateException: Row was updated or deleted by anothe...
Status: CLOSED WORKSFORME
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Core (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high
: ER4
: ---
Assigned To: Maciej Swiderski
Marek Baluch
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-30 15:04 EDT by Jiri Svitak
Modified: 2015-06-01 21:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-03 13:23:14 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console log (28.19 KB, text/plain)
2013-08-30 15:04 EDT, Jiri Svitak
no flags Details

  None (edit)
Description Jiri Svitak 2013-08-30 15:04:01 EDT
Created attachment 792294 [details]
console log

org.hibernate.StaleObjectStateException: Row was updated or deleted by another transaction when running many human task process using kie api. See the attached console log. No container involved. It's just human task process, with synchronous task operations, run sequentially.

To reproduce (assumes you have MySQL server configured according to mysql-local.xml file):
1.) Install Perfcake 0.3-SNAPSHOT:
git clone https://github.com/PerfCake/PerfCake.git
cd PerfCake
git checkout devel
mvn clean install -DskipTests
2.) Run perf scenario:
git clone git://git.app.eng.bos.redhat.com/jbossqe-process-flood.git
cd jbossqe-process-flood/bpms-6.x
./execute_scenario.sh -Dscenario=HumanTask_Java -Dduration=5000 -smysql-local.xml


My environment:
BPMS 6 ER1 (will try again with ER2, when it will be available)
MySQL 5.5.32
mysql-connector-java-5.1.26-bin.jar driver
Comment 1 Kris Verlaenen 2013-09-03 09:16:49 EDT
Looking at the stack trace, it seems this is related to the process instance (with id 1), not the task.
Comment 2 Maciej Swiderski 2013-09-03 13:01:04 EDT
this turned out to be same as this bz: https://bugzilla.redhat.com/show_bug.cgi?id=1000382 wrong bitronix version. After upgrading bitronix to 3.0.0-SNAPSHOT proper execution has been observed.
Comment 3 Jiri Svitak 2013-09-03 13:23:14 EDT
Thanks Maciej for your help.

I can confirm what Maciej wrote. After several configuration fixes the reported scenario HumanTask_Java can be used to measure a process with a human task.

Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.